@@ -3517,7 +3520,7 @@
        486: astore        7
        488: aload         7
        490: ifnonnull     530
-       493: getstatic     #4                  // Field LOGGER:Ljava/util/logging/Logger;
+       493: getstatic     #4                  // Field hudson/model/Queue.LOGGER:Ljava/util/logging/Logger;
        496: getstatic     #246                // Field java/util/logging/Level.FINER:Ljava/util/logging/Level;
        499: ldc           #247                // String Failed to map {0} to executors. candidates={1} parked={2}
        501: iconst_3      
@@ -3555,16 +3558,43 @@
        565: ifne          578
        568: aload_0       
        569: aload         4
-       571: invokespecial #252                // Method makePending:(Lhudson/model/Queue$BuildableItem;)Z
+       571: invokespecial #252                // Method hudson/model/Queue.makePending:(Lhudson/model/Queue$BuildableItem;)Z
        574: pop           
        575: goto          591
-       578: getstatic     #4                  // Field LOGGER:Ljava/util/logging/Logger;
+       578: getstatic     #4                  // Field hudson/model/Queue.LOGGER:Ljava/util/logging/Logger;
        581: getstatic     #131                // Field java/util/logging/Level.FINE:Ljava/util/logging/Level;
        584: ldc           #253                // String BuildableItem {0} with empty work units!?
        586: aload         4
        588: invokevirtual #133                // Method java/util/logging/Logger.log:(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Object;)V
        591: goto          320
        594: return        
+      LocalVariableTable:
+        Start  Length  Slot  Name   Signature
+              79      28     7     e   Lhudson/model/Executor;
+              57      53     6    i$   Ljava/util/Iterator;
+              45      65     5     c   Lhudson/model/Computer;
+              27      89     2  arr$   [Lhudson/model/Computer;
+              30      86     3  len$   I
+              33      83     4    i$   I
+             153      37     3     p   Lhudson/model/Queue$BlockedItem;
+             134      59     2    i$   Ljava/util/Iterator;
+             210      75     2   top   Lhudson/model/Queue$WaitingItem;
+             241      44     3     p   Lhudson/model/Queue$Task;
+             436      20     7     j   Lhudson/model/Queue$JobOffer;
+             414      45     6    i$   Ljava/util/Iterator;
+             401     190     5 candidates   Ljava/util/List;
+             472     119     6    ws   Lhudson/model/queue/MappingWorksheet;
+             488     103     7     m   Lhudson/model/queue/MappingWorksheet$Mapping;
+             541      50     8   wuc   Lhudson/model/queue/WorkUnitContext;
+             340     251     4     p   Lhudson/model/Queue$BuildableItem;
+             320     274     3    i$   Ljava/util/Iterator;
+               0     595     0  this   Lhudson/model/Queue;
+              20     575     1 parked   Ljava/util/Map;
+             293     302     2     s   Lhudson/model/queue/QueueSorter;
+      LocalVariableTypeTable:
+        Start  Length  Slot  Name   Signature
+          401     190     5 candidates   Ljava/util/List&lt;Lhudson/model/Queue$JobOffer;&gt;;
+           20     575     1 parked   Ljava/util/Map&lt;Lhudson/model/Executor;Lhudson/model/Queue$JobOffer;&gt;;
       LineNumberTable:
         line 980: 0
         line 983: 12
@@ -3616,33 +3646,6 @@
         line 1062: 578
         line 1063: 591
         line 1064: 594
-      LocalVariableTable:
-        Start  Length  Slot  Name   Signature
-              79      28     7     e   Lhudson/model/Executor;
-              57      53     6    i$   Ljava/util/Iterator;
-              45      65     5     c   Lhudson/model/Computer;
-              27      89     2  arr$   [Lhudson/model/Computer;
-              30      86     3  len$   I
-              33      83     4    i$   I
-             153      37     3     p   Lhudson/model/Queue$BlockedItem;
-             134      59     2    i$   Ljava/util/Iterator;
-             210      75     2   top   Lhudson/model/Queue$WaitingItem;
-             241      44     3     p   Lhudson/model/Queue$Task;
-             436      20     7     j   Lhudson/model/Queue$JobOffer;
-             414      45     6    i$   Ljava/util/Iterator;
-             401     190     5 candidates   Ljava/util/List;
-             472     119     6    ws   Lhudson/model/queue/MappingWorksheet;
-             488     103     7     m   Lhudson/model/queue/MappingWorksheet$Mapping;
-             541      50     8   wuc   Lhudson/model/queue/WorkUnitContext;
-             340     251     4     p   Lhudson/model/Queue$BuildableItem;
-             320     274     3    i$   Ljava/util/Iterator;
-               0     595     0  this   Lhudson/model/Queue;
-              20     575     1 parked   Ljava/util/Map;
-             293     302     2     s   Lhudson/model/queue/QueueSorter;
-      LocalVariableTypeTable:
-        Start  Length  Slot  Name   Signature
-          401     190     5 candidates   Ljava/util/List&lt;Lhudson/model/Queue$JobOffer;&gt;;
-           20     575     1 parked   Ljava/util/Map&lt;Lhudson/model/Executor;Lhudson/model/Queue$JobOffer;&gt;;
       StackMapTable: number_of_entries = 22
            frame_type = 255 /* full_frame */
           offset_delta = 33
@@ -3714,11 +3717,11 @@
         17: goto          21
         20: iconst_0      
         21: ireturn       
-      LineNumberTable:
-        line 1103: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      22     0  task   Lhudson/model/Queue$Task;
+      LineNumberTable:
+        line 1103: 0
       StackMapTable: number_of_entries = 2
            frame_type = 20 /* same */
            frame_type = 64 /* same_locals_1_stack_item */
@@ -3734,11 +3737,11 @@
          4: aload_0       
          5: invokespecial #280                // Method hudson/model/Api."&lt;init&gt;":(Ljava/lang/Object;)V
          8: areturn       
-      LineNumberTable:
-        line 1107: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       9     0  this   Lhudson/model/Queue;
+      LineNumberTable:
+        line 1107: 0
 
   public static hudson.model.Queue getInstance();
     flags: ACC_PUBLIC, ACC_STATIC
@@ -3758,14 +3761,14 @@
       stack=1, locals=1, args_size=1
          0: aload_0       
          1: invokevirtual #281                // Method jenkins/model/Jenkins.getQueue:()Lhudson/model/Queue;
-         4: invokevirtual #282                // Method load:()V
+         4: invokevirtual #282                // Method hudson/model/Queue.load:()V
          7: return        
-      LineNumberTable:
-        line 2090: 0
-        line 2091: 7
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       8     0     h   Ljenkins/model/Jenkins;
+      LineNumberTable:
+        line 2090: 0
+        line 2091: 7
     RuntimeVisibleAnnotations:
       0: #605(#606=e#607.#608)
 
@@ -3774,19 +3777,19 @@
     Code:
       stack=1, locals=1, args_size=1
          0: aload_0       
-         1: getfield      #5                  // Field waitingList:Ljava/util/Set;
+         1: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
          4: areturn       
-      LineNumberTable:
-        line 153: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       5     0    x0   Lhudson/model/Queue;
+      LineNumberTable:
+        line 153: 0
 
   static java.util.logging.Logger access$700();
     flags: ACC_STATIC, ACC_SYNTHETIC
     Code:
       stack=1, locals=0, args_size=0
-         0: getstatic     #4                  // Field LOGGER:Ljava/util/logging/Logger;
+         0: getstatic     #4                  // Field hudson/model/Queue.LOGGER:Ljava/util/logging/Logger;
          3: areturn       
       LineNumberTable:
         line 153: 0
@@ -3796,39 +3799,39 @@
     Code:
       stack=1, locals=1, args_size=1
          0: aload_0       
-         1: getfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+         1: getfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
          4: areturn       
-      LineNumberTable:
-        line 153: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       5     0    x0   Lhudson/model/Queue;
+      LineNumberTable:
+        line 153: 0
 
   static hudson.model.Queue$ItemList access$900(hudson.model.Queue);
     flags: ACC_STATIC, ACC_SYNTHETIC
     Code:
       stack=1, locals=1, args_size=1
          0: aload_0       
-         1: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+         1: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
          4: areturn       
-      LineNumberTable:
-        line 153: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       5     0    x0   Lhudson/model/Queue;
+      LineNumberTable:
+        line 153: 0
 
   static com.google.common.cache.Cache access$1000(hudson.model.Queue);
     flags: ACC_STATIC, ACC_SYNTHETIC
     Code:
       stack=1, locals=1, args_size=1
          0: aload_0       
-         1: getfield      #1                  // Field leftItems:Lcom/google/common/cache/Cache;
+         1: getfield      #1                  // Field hudson/model/Queue.leftItems:Lcom/google/common/cache/Cache;
          4: areturn       
-      LineNumberTable:
-        line 153: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       5     0    x0   Lhudson/model/Queue;
+      LineNumberTable:
+        line 153: 0
 
   static {};
     flags: ACC_STATIC
@@ -3837,22 +3840,22 @@
          0: ldc_w         #283                // class hudson/model/Queue
          3: invokevirtual #284                // Method java/lang/Class.getName:()Ljava/lang/String;
          6: invokestatic  #285                // Method java/util/logging/Logger.getLogger:(Ljava/lang/String;)Ljava/util/logging/Logger;
-         9: putstatic     #4                  // Field LOGGER:Ljava/util/logging/Logger;
+         9: putstatic     #4                  // Field hudson/model/Queue.LOGGER:Ljava/util/logging/Logger;
         12: new           #286                // class hudson/util/XStream2
         15: dup           
         16: invokespecial #287                // Method hudson/util/XStream2."&lt;init&gt;":()V
-        19: putstatic     #51                 // Field XSTREAM:Lcom/thoughtworks/xstream/XStream;
-        22: getstatic     #51                 // Field XSTREAM:Lcom/thoughtworks/xstream/XStream;
+        19: putstatic     #51                 // Field hudson/model/Queue.XSTREAM:Lcom/thoughtworks/xstream/XStream;
+        22: getstatic     #51                 // Field hudson/model/Queue.XSTREAM:Lcom/thoughtworks/xstream/XStream;
         25: new           #288                // class hudson/model/Queue$3
         28: dup           
         29: invokespecial #289                // Method hudson/model/Queue$3."&lt;init&gt;":()V
         32: invokevirtual #290                // Method com/thoughtworks/xstream/XStream.registerConverter:(Lcom/thoughtworks/xstream/converters/SingleValueConverter;)V
-        35: getstatic     #51                 // Field XSTREAM:Lcom/thoughtworks/xstream/XStream;
+        35: getstatic     #51                 // Field hudson/model/Queue.XSTREAM:Lcom/thoughtworks/xstream/XStream;
         38: new           #291                // class hudson/model/Queue$4
         41: dup           
         42: invokespecial #292                // Method hudson/model/Queue$4."&lt;init&gt;":()V
         45: invokevirtual #290                // Method com/thoughtworks/xstream/XStream.registerConverter:(Lcom/thoughtworks/xstream/converters/SingleValueConverter;)V
-        48: getstatic     #51                 // Field XSTREAM:Lcom/thoughtworks/xstream/XStream;
+        48: getstatic     #51                 // Field hudson/model/Queue.XSTREAM:Lcom/thoughtworks/xstream/XStream;
         51: new           #293                // class hudson/model/Queue$5
         54: dup           
         55: invokespecial #294                // Method hudson/model/Queue$5."&lt;init&gt;":()V
@@ -3865,4 +3868,13 @@
         line 1942: 35
         line 1972: 48
         line 1988: 61
+
+  public void scheduleMaintenance();
+    flags: ACC_PUBLIC, ACC_BRIDGE, ACC_SYNTHETIC
+    Code:
+      stack=1, locals=1, args_size=1
+         0: aload_0       
+         1: invokevirtual #102                // Method hudson/model/Queue.scheduleMaintenance:()Ljava/util/concurrent/Future;
+         4: pop           
+         5: return        
 }
</pre></body></html>